Status: Closed Start date: 11/29/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Domain Name Server Estimated time: 1.50 hour
Target version: FreeBSD 11 Spent time: 2.00 hours
Description

A name server is one of the most critical servers on a network, it allows for the translation of host names into IP addresses; as well
as a few other really neat functions. This is a guide for setting up a simple DNS server along with Webmin for graphical
administration.
e |nstall BIND:
pkg install bind912 bind-tools
e Start and enable BIND at boot:
sysrc named_enable="YES"
service named start
o NOTE: Since | am already running my DNS inside of a jail | need to disable automatic chrooting of BIND via the following

command:

sysrc named_chrootdir=""

GUI Frontend

e Install Webmin

pkg install webmin

e Enable Webmin at boot:

echo 'webmin_enable="YES"' >> /etc/rc.conf

* Run the Webmin setup.sh script in order to setup the various config files:

/usr/local/lib/webmin/setup.sh

e Log into the Webmin panel and go to Servers -> BIND DNS Server -> Edit Config File and change the listen-on parameter so
the DNS server will listen on the network:

listen-on { 192.168.16.66; };
History

#1 - 12/01/2014 05:03 PM - Daniel Curtis

- Description updated

#2 - 12/18/2014 10:39 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#3 - 12/26/2014 07:19 PM - Daniel Curtis

- Status changed from Resolved to Closed

#4 - 02/14/2015 10:43 AM - Daniel Curtis

- Target version set to FreeBSD 9

#5 - 02/14/2015 12:01 PM - Daniel Curtis

- Category set to Domain Name Server

#6 - 09/06/2018 04:06 PM - Daniel Curtis
- Description updated

- Target version changed from FreeBSD 9 to FreeBSD 11
